Package htsjdk.samtools

# Enum Class SAMFileHeader.SortOrder

java.lang.Object
java.lang.Enum<SAMFileHeader.SortOrder>
htsjdk.samtools.SAMFileHeader.SortOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMFileHeader.SortOrder>`, `Constable`

Enclosing class:
  `SAMFileHeader`

public static enum SAMFileHeader.SortOrder extends Enum<SAMFileHeader.SortOrder>
Ways in which a SAM or BAM may be sorted.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`coordinate`
`duplicate`
`queryname`
`unknown`
`unsorted`

## Method Summary

Modifier and Type
Method
Description
`Class<? extends SAMRecordComparator>`
`getComparator()`
Deprecated.
since 7/2018, use `getComparatorInstance()` with `Object.getClass()` instead
`SAMRecordComparator`
`getComparatorInstance()`
`static SAMFileHeader.SortOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMFileHeader.SortOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### unsorted

public static final SAMFileHeader.SortOrder unsorted

### queryname

public static final SAMFileHeader.SortOrder queryname

### coordinate

public static final SAMFileHeader.SortOrder coordinate

### duplicate

public static final SAMFileHeader.SortOrder duplicate

### unknown

public static final SAMFileHeader.SortOrder unknown

## Method Details

### values

public static SAMFileHeader.SortOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMFileHeader.SortOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getComparator

@Deprecated public Class<? extends SAMRecordComparator> getComparator()
Deprecated.
since 7/2018, use `getComparatorInstance()` with `Object.getClass()` instead

Returns:
  Comparator class to sort in the specified order, or null if unsorted.

### getComparatorInstance

public SAMRecordComparator getComparatorInstance()

Returns:
  Comparator to sort in the specified order, or null if unsorted.